Summary: Qtabman, a GUI frontend for the Tabman Oracle table manager
Name: Qtabman
Version: 0.1
Release: 1
Copyright: GPL
Group: Applications/Databases
Source: http://members.xoom.com/qtabman.tar.gz
URL: http://gallery.uunet.be/j.struyve
Vendor: Joris Struyve
Packager: Joris Struyve <j.struyve@village.uunet.be>
Distribution: Kweetnie
Icon: qtabman.gif
AutoReqProv: no
requires: ld-linux.so.2 libc.so.6 libdl.so.2 libICE.so.6 
requires: libm.so.6 libnsl.so.1 libpng.so.2 libpthread.so.0 qt >= 2.0.1
requires: libSM.so.6 libstdc++-libc6.1-1.so.2 libX11.so.6 libXext.so.6 libz.so.1
requires: libc.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libpthread.so.0(GLIBC_2.0)
%description
This tool is a GUI front-end for the tabman database package.
With this tool you can browse a schema and manipulate tables, indexes, constraints,....

Before using Qtabman make sure you have set your Oracle environment correctly 
(ORACLE_HOME,LD_LIBRARY_PATH,...).

In order to let Qtabman manipulate schema objects, you must install the tabman database package
(included in this rpm).
The tabman database package is available at http://gallery.uunet.be/jbosman/applications.html


%prep
rm -fr $RPM_BUILD_DIR/qtabman
tar -zxvf  $RPM_SOURCE_DIR/qtabman.tar.gz
rm -fr /usr/local/qtabman

%build
cd qtabman
make

%install
mkdir /usr/local/qtabman
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/qtabman/Qtabman /usr/local/bin/Qtabman
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/qtabman/tabman.sql /usr/local/qtabman/tabman.sql
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/qtabman/tabmanb.sql /usr/local/qtabman/tabmanb.sql
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/qtabman/test.sql /usr/local/qtabman/test.sql


%files
/usr/local/bin/Qtabman
/usr/local/qtabman/tabman.sql
/usr/local/qtabman/tabmanb.sql
/usr/local/qtabman/test.sql

